package ninja.thefirearchmage.games.fourtykcalculator;

import lombok.Getter;
import ninja.thefirearchmage.games.fourtykcalculator.utils.datastructures.Tuple;
import ninja.thefirearchmage.games.fourtykcalculator.utils.datastructures.Tuple2;

import java.util.ArrayList;
import java.util.List;

@Getter
public class AttackScenarioResolution {
    private List<Tuple2<String, Double>> wounds;

    public AttackScenarioResolution() {
        this.wounds = new ArrayList<>();
    }

    public void addWoundsFromWeapon(Weapon weapon, double inflictedWounds) {
        this.wounds.add(Tuple.of(weapon.getName(), inflictedWounds));
    }
}
